
Core - Task # 56147

Epic # 55070 (Accepted): Workpackages
Epic # 54260 (Accepted): WP: FAL Missing Issues / Features / API
Story # 54272 (Resolved): As an Editor I expect FAL to work with the RTE

Status: Needs Feedback Priority: Should have
Author: Fabien Udriot Category: File Abstraction Layer (FAL)
Created: 2014-02-20 Assigned To:
Updated: 2015-05-21 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity: medium
Sprint Focus:
Subject: Regenerate missing RTE magic image on rendering
Description

RTE now handles Magic images as Processed File and generate a new CSM image (Crop Scale Mask) upon "importation" in the
RTE.

What is currently lacking is a way to regenerate this image in case the file is missing for instance after flushing the _processed_
directory.

It must be decided what is the best approach:

    -  The image is regenerated on the fly when rendering the FE.
    -  Via a scheduler task.
    -  ...

Feedback welcome.

Related issues:
related to Core - Feature # 56133: Replace file feature for fal file list Resolved 2014-02-19
related to Core - Bug # 56077: Blocking errors if files deleted Resolved 2014-02-18

History
#1 - 2014-02-20 20:03 - Fabien Udriot

Regenerate Processed file...

Upon rendering
---------------

+ is transparent

- consume a more resources because it must be checked whether Processed File exists or not. (cache could compensate the cons)

Scheduler Task
---------------

+ does not take time from the rendering process

- must be configured and specifically created
- will not work well if the image is replaced

#2 - 2014-02-20 20:30 - Fabien Udriot

As additional information, the processed file images are regenerated when the RTE is saved -> yes (and good). However this can not be the final
solution IMHO because it forces the User to open up the content element and save it again. For big websites... well not the most adequate.

#3 - 2014-02-21 10:59 - Helmut Hummel

Fabien Udriot wrote:

Regenerate Processed file...

Upon rendering
---------------

+ is transparent

- consume a more resources because it must be checked whether Processed File exists or not. (cache could compensate the cons)

This must be the way to go. ProcessedFiles already includes a caching layer and regenerates the file only if needed.

#4 - 2014-02-21 11:00 - Helmut Hummel
- Parent task set to #54272

#5 - 2014-02-21 11:40 - Fabien Udriot

In case it is not clear enough, a small step-by-step procedure for reproducing the issue (it does not hurt):

1. Insert a Magic Image in the RTE
2. Look how nicely it is rendered on the FE
3. Delete the image in _processed_ directory
4. Reload the FE. Oh, a 404 image!

#6 - 2014-02-25 21:11 - Stanislas Rolland
- Assigned To set to Stanislas Rolland

#7 - 2014-02-26 22:00 - Stanislas Rolland
- Subject changed from RTE - regenerate Processed File if missing to Regenerate missing RTE magic image on rendering

#8 - 2014-02-26 22:07 - Stanislas Rolland
- % Done changed from 0 to 90

#9 - 2014-02-26 22:54 - Stanislas Rolland
- Status changed from New to Under Review

See: https://review.typo3.org/#/c/27884/
#10 - 2014-03-12 15:05 - Fabien Udriot

There could be 3 tests to lead for testing and verifying the patch. Open a Text Content Element.

1. External Image

Copy / paste in body text:

Flag RTE disable: "on" 

<img src="http://government.typo3cms.demo.typo3.org/fileadmin/_processed_/csm_IMG_1400_7d600da0db.jpg"
title="2012-05-29_13.43.19-1.jpg" width="265" height="177" alt="baz" style="foo: bar" class="foo"/>

2. MagicImage

-> Insert the image with the MagickImage wizard which is the default use case

#11 - 2014-03-17 14:48 - Fabien Udriot
- File rte_custom_file_processing.zip added

#12 - 2014-03-19 20:52 - Stanislas Rolland
- % Done changed from 90 to 100

#13 - 2014-03-20 22:34 - Wouter Wolters
- Status changed from Under Review to Resolved

#14 - 2015-05-04 16:42 - Martin R. Krause

What actually has happend to this issues? It only says resolved but not if anything has changed.

I still have this issues with a current 6.2.12 version.

    1. Add a magic image, 
    2. then change the image on the storage, 
    3. let the scheduler task for indexing the storage notice the change. 
    4. As a result the processed image is deleted, but calling the page does not generate a new image.

Any updates on that?

#15 - 2015-05-04 16:53 - Markus Klein
- Status changed from Resolved to Accepted
- Assigned To deleted (Stanislas Rolland)
- Target version changed from 6.2.0 to next-patchlevel
- % Done changed from 100 to 0
- Complexity set to medium
I remember now having had a similar issue.
If a processed file is deleted, it is not properly regenerated for some reason.

Easily reproducable by setting config.noScaleUp = 0 in TS.
This triggers FAL to throw away (due to config change; more details in #66614) an existing processed file (from preview in RTE) when generating the
image for FE, but the file is never regenerated.

#16 - 2015-05-21 02:02 - Markus Klein
- Status changed from Accepted to Needs Feedback
- Target version deleted (next-patchlevel)

In conjunction with with #66614 I know discovered that the RTE Click-Enlarge rendering (the static template) is buggy somehow. 
Removing the static template, fixes the issue in FE and the proper image is generated.

I'm not sure, hence, how this is related to this ticket.

#17 - 2015-05-21 02:19 - Markus Klein

For the record: The click-enlarge functionality is ok.

Files
rte_custom_file_processing.zip 2.7 kB 2014-03-17 Fabien Udriot
